> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Projects V2

> Gets projects optimized for V2 with pagination and server-side run counts.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects/paginated
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/paginated:
    post:
      tags:
        - projects
      summary: Get Projects V2
      description: >-
        Gets projects optimized for V2 with pagination and server-side run
        counts.
      operationId: get_projects_v2_v2_projects_paginated_post
      parameters:
        - name: actions
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ProjectAction'
            description: Actions to include in the 'permissions' field.
            title: Actions
          description: Actions to include in the 'permissions' field.
        - name: include_logstreams
          in: query
          required: false
          schema:
            type: boolean
            description: When true, include log streams (id and name) for each project.
            default: false
            title: Include Logstreams
          description: When true, include log streams (id and name) for each project.
        - name: starting_token
          in: query
          required: false
          schema:
            type: integer
            title: Starting Token
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            title: Limit
            default: 100
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCollectionParams'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProjectsPaginatedResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
        - update_control_bindings
        - use_control_runtime
      title: ProjectAction
    ProjectCollectionParams:
      properties:
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/ProjectNameFilter'
              - $ref: '#/components/schemas/ProjectCreatorFilter'
              - $ref: '#/components/schemas/ProjectCreatedAtFilter'
              - $ref: '#/components/schemas/ProjectUpdatedAtFilter'
              - $ref: '#/components/schemas/ProjectNumLogstreamsFilter'
              - $ref: '#/components/schemas/ProjectNumExperimentsFilter'
              - $ref: '#/components/schemas/ProjectBookmarkFilter'
            discriminator:
              propertyName: name
              mapping:
                bookmark:
                  $ref: '#/components/schemas/ProjectBookmarkFilter'
                created_at:
                  $ref: '#/components/schemas/ProjectCreatedAtFilter'
                creator:
                  $ref: '#/components/schemas/ProjectCreatorFilter'
                name:
                  $ref: '#/components/schemas/ProjectNameFilter'
                num_experiments:
                  $ref: '#/components/schemas/ProjectNumExperimentsFilter'
                num_logstreams:
                  $ref: '#/components/schemas/ProjectNumLogstreamsFilter'
                updated_at:
                  $ref: '#/components/schemas/ProjectUpdatedAtFilter'
          type: array
          title: Filters
        sort:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/ProjectNameSort'
                - $ref: '#/components/schemas/ProjectCreatedAtSort'
                - $ref: '#/components/schemas/ProjectUpdatedAtSort'
                - $ref: '#/components/schemas/ProjectNumLogstreamsSort'
                - $ref: '#/components/schemas/ProjectNumExperimentsSort'
              discriminator:
                propertyName: name
                mapping:
                  created_at:
                    $ref: '#/components/schemas/ProjectCreatedAtSort'
                  name:
                    $ref: '#/components/schemas/ProjectNameSort'
                  num_experiments:
                    $ref: '#/components/schemas/ProjectNumExperimentsSort'
                  num_logstreams:
                    $ref: '#/components/schemas/ProjectNumLogstreamsSort'
                  updated_at:
                    $ref: '#/components/schemas/ProjectUpdatedAtSort'
            - type: 'null'
          title: Sort
          default:
            name: created_at
            ascending: false
            sort_type: column
      type: object
      title: ProjectCollectionParams
    GetProjectsPaginatedResponse:
      properties:
        starting_token:
          type: integer
          title: Starting Token
          default: 0
        limit:
          type: integer
          title: Limit
          default: 100
        paginated:
          type: boolean
          title: Paginated
          default: false
        next_starting_token:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Starting Token
        projects:
          items:
            $ref: '#/components/schemas/ProjectItem'
          type: array
          title: Projects
        total_count:
          type: integer
          title: Total Count
          description: Total number of projects matching the filters.
      type: object
      required:
        - projects
        - total_count
      title: GetProjectsPaginatedResponse
      description: Response model for the V2 projects paginated endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProjectNameFilter:
      properties:
        name:
          type: string
          const: name
          title: Name
          default: name
        operator:
          type: string
          enum:
            - eq
            - ne
            - contains
            - one_of
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
        case_sensitive:
          type: boolean
          title: Case Sensitive
          default: true
      type: object
      required:
        - operator
        - value
      title: ProjectNameFilterV2
    ProjectCreatorFilter:
      properties:
        name:
          type: string
          const: creator
          title: Name
          default: creator
        operator:
          type: string
          enum:
            - eq
            - ne
            - one_of
            - not_in
            - contains
          title: Operator
          default: eq
        value:
          anyOf:
            - type: string
              format: uuid4
            - items:
                anyOf:
                  - type: string
                    format: uuid4
                  - type: string
              type: array
            - type: string
          title: Value
      type: object
      required:
        - value
      title: ProjectCreatorFilterV2
    ProjectCreatedAtFilter:
      properties:
        name:
          type: string
          const: created_at
          title: Name
          default: created_at
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
      type: object
      required:
        - operator
        - value
      title: ProjectCreatedAtFilterV2
    ProjectUpdatedAtFilter:
      properties:
        name:
          type: string
          const: updated_at
          title: Name
          default: updated_at
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
          title: Operator
        value:
          type: string
          format: date-time
          title: Value
      type: object
      required:
        - operator
        - value
      title: ProjectUpdatedAtFilterV2
    ProjectNumLogstreamsFilter:
      properties:
        name:
          type: string
          const: num_logstreams
          title: Name
          default: num_logstreams
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
            - between
          title: Operator
        value:
          anyOf:
            - type: integer
            - type: number
            - items:
                type: integer
              type: array
            - items:
                type: number
              type: array
          title: Value
      type: object
      required:
        - operator
        - value
      title: ProjectNumLogstreamsFilterV2
    ProjectNumExperimentsFilter:
      properties:
        name:
          type: string
          const: num_experiments
          title: Name
          default: num_experiments
        operator:
          type: string
          enum:
            - eq
            - ne
            - gt
            - gte
            - lt
            - lte
            - between
          title: Operator
        value:
          anyOf:
            - type: integer
            - type: number
            - items:
                type: integer
              type: array
            - items:
                type: number
              type: array
          title: Value
      type: object
      required:
        - operator
        - value
      title: ProjectNumExperimentsFilterV2
    ProjectBookmarkFilter:
      properties:
        name:
          type: string
          const: bookmark
          title: Name
          default: bookmark
        value:
          type: boolean
          title: Value
      type: object
      required:
        - value
      title: ProjectBookmarkFilterV2
    ProjectNameSort:
      properties:
        name:
          type: string
          const: name
          title: Name
          default: name
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: ProjectNameSortV2
    ProjectCreatedAtSort:
      properties:
        name:
          type: string
          const: created_at
          title: Name
          default: created_at
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: ProjectCreatedAtSortV2
    ProjectUpdatedAtSort:
      properties:
        name:
          type: string
          const: updated_at
          title: Name
          default: updated_at
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: ProjectUpdatedAtSortV2
    ProjectNumLogstreamsSort:
      properties:
        name:
          type: string
          const: num_logstreams
          title: Name
          default: num_logstreams
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: ProjectNumLogstreamsSort
    ProjectNumExperimentsSort:
      properties:
        name:
          type: string
          const: num_experiments
          title: Name
          default: num_experiments
        ascending:
          type: boolean
          title: Ascending
          default: true
        sort_type:
          type: string
          const: column
          title: Sort Type
          default: column
      type: object
      title: ProjectNumExperimentsSort
    ProjectItem:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        name:
          type: string
          title: Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        bookmark:
          type: boolean
          title: Bookmark
          default: false
        num_logstreams:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Logstreams
          description: Count of runs with task_type=15
        num_experiments:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Experiments
          description: Count of runs with task_type=16
        created_by_user:
          anyOf:
            - $ref: '#/components/schemas/UserInfo'
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        labels:
          items:
            $ref: '#/components/schemas/ProjectLabels'
          type: array
          title: Labels
          description: List of labels associated with the project.
        log_streams:
          anyOf:
            - items:
                $ref: '#/components/schemas/LogStreamInfo'
              type: array
            - type: 'null'
          title: Log Streams
          description: >-
            Log streams for this project. Only populated when
            include_logstreams=True.
      type: object
      required:
        - id
        - name
        - created_at
        - updated_at
      title: ProjectItem
      description: Represents a single project item for the UI list.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
            - $ref: '#/components/schemas/ControlResourceAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    UserInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
      type: object
      required:
        - id
        - email
      title: UserInfo
      description: A user's basic information, used for display purposes.
    ProjectLabels:
      type: string
      enum:
        - sample
      title: ProjectLabels
      description: Enum for project labels used in the UI.
    LogStreamInfo:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: LogStreamInfo
      description: Minimal log stream representation (id and name only).
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
    ControlResourceAction:
      type: string
      enum:
        - create
        - read
        - update
        - delete
      title: ControlResourceAction
      description: Actions on Agent Control's org-scoped ``control`` resource.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````